### Method

# GLib String ascii_down

#### Declaration

    GString*
    g_string_ascii_down (
      GString* string
    )

#### Description

Converts all uppercase ASCII letters to lowercase ASCII letters.

#### Return value

Type: `GString`

Passed-in `string` pointer, with all the uppercase characters converted to lowercase in place, with semantics that exactly match g_ascii_tolower().

The data is owned by the instance.